#include<iostream>
#include <cstdio>
#include <csignal>
#include <cstdlib>
#include "xylophone.h"
using namespace std;
typedef unsigned long long ull;

static int N;
static const int INF = 1000000007;

static const int MAX_N=5000;
static const int LOG_MAX_N = 13;
static const int MAX_Q=10000;
static int A[MAX_N];

class rmq {
	int D[1 << (LOG_MAX_N + 1)];
	int calc(int p, int d, int s, int t) {
		int L = (1 << (D[0] - d)) * (p - (1 << d));
		int R = L + (1 << (D[0] - d));
		if(R <= s || t <= L)
			return -INF;
		if(s <= L && R <= t)
			return D[p];
		return max(calc(p * 2, d + 1, s, t), calc(p * 2 + 1, d + 1, s, t));
	}
  public:
    rmq() {}
	rmq(int N, const int* A, bool positive) {
		D[0] = LOG_MAX_N;
		int org = (1 << LOG_MAX_N);
		for(int i = 0; i < N; i++)
			D[org + i] = positive? A[i]: -A[i];
		for(int i = N; i < org; i++)
			D[org + i] = -INF;
		for(int i = org - 1; i; i--)
			D[i] = std::max(D[i * 2], D[i * 2 + 1]);
	}
	int get(int s, int t) {
		return calc(1, 0, s, t);
	}
};

static void wrong(int num)
{
	fprintf(stdout, "Q %d %d\n",num,num);
	exit(0);
}

static rmq rmax,rmin;
static int query_c=0;
int query(int s, int t)
{
	if(MAX_Q==query_c)wrong(2);
    query_c++;
    if(!(1 <= s && s <= t && t <= N))wrong(1);
    return rmax.get(s - 1, t) + rmin.get(s - 1, t);
}

static bool used[MAX_N];
void answer(int i, int a)
{
    if(!(1 <= i && i <= N))wrong(3);
    if(!(1 <= a && a <= N))wrong(4);
    if(used[i-1])wrong(5);
    if(a!=A[i-1])wrong(7);
    used[i-1] = true;
	printf("A %d %d\n",i,a);
}

int main(int argc,char **argv)
{
	int g=scanf("%d",&N);
	for(int i = 0; i < N; ++i)
		scanf("%d", &A[i]);
    rmax=rmq(N, A, true); rmin=rmq(N, A, false);
	solve(N);
	printf("E 0 0\n");
	return 0;
}
